#
# spec file for package python-nose-timer
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-nose-timer
Version:        1.0.0
Release:        bp154.1.24
Summary:        A timer plugin for nosetests
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/mahmoudimus/nose-timer
Source:         https://github.com/mahmoudimus/nose-timer/archive/v%{version}.tar.gz
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-nose
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module parameterized}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module termcolor}
# /SECTION
%python_subpackages

%description
A timer plugin for nosetests that answers the question:
how much time does every test take?

%prep
%setup -q -n nose-timer-%{version}
rm -rf nose_timer.egg-info

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Mon Mar 30 2020 pgajdos@suse.com
- version update to 1.0.0
  * Fix example installation call for pip. (#259)
  * Allow colorlog 4. (#257)
  * Order Pythons in descending version in appveyor.yml. (#258)
  * Add link to GitHub Action for Nox. (#255)
  * Use double "`" for inline code. (#254)
  * Add types to _option_set.py. (#249)
  * Add type hints to tasks.py. (#241)
  * Fix typo (virtulenvs). (#247)
  * Replace flake8 sorter with isort. (#242)
  * Pass VIRTUAL_ENV environment variable to commands executed in a virtualenv. (#245)
  * Fix docs to show correct list for parametrize. (#244)
  * Add argcomplete dependency to conda test session. (#240)
* Tue Jun  4 2019 Marketa Calabkova <mcalabkova@suse.com>
- update to 0.7.5
  * Migrate nose_parameterized -> parameterized
  * Fix timer with multiprocessing
  * Add Python 3.7 support
  * Add --timer-fail option to fail slow tests
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Wed May 23 2018 toddrme2178@gmail.com
- Update to version 0.7.2
  * Remove depenedency on termcolor
  * Fix ZeroDivisionError
- Update to version 0.7.1
  * Drop ordereddict requirement
- Remove upstream-included remove_unnecessary_requirement.patch
- Spec file cleanups
* Wed Jul  5 2017 aloisio@gmx.com
- Initial package (0.7.0)
